---
- name: Install libc6 for s390x
  ansible.builtin.apt:
    update_cache: no
    pkg:
      - libjemalloc2:s390x
      - liblmdb0:s390x
      - libmaxminddb0:s390x
      - libfstrm0:s390x
      - libprotobuf-c1:s390x
      - libuv1t64:s390x
      - libxml2:s390x
      - libjson-c5:s390x
      - bind9
      - qemu-user
    state: present
- name: bind_ldap only for bind
  ansible.builtin.file:
    path: /opt/bind_ldap
    owner: root
    group: bind
    mode: "0750"
    state: directory
- name: download and install bind9 and blob
  ansible.builtin.unarchive:
    src: /blob/bind9_ldap_s390x.tbz2
    dest: /opt/bind_ldap
    remote_src: true
    owner: root
    group: bind
    creates: "/opt/bind_ldap/usr/lib64/bind/ldap.so"
- name: mkdir bind in etc
  ansible.builtin.file:
    path: /etc/bind_ldap
    owner: root
    group: bind
    mode: "0750"
    state: directory
- name: copy bind config
  ansible.builtin.template:
    backup: true
    remote_src: no
    src: templates/named.conf.j2
    dest: /etc/bind_ldap/named.conf
    owner: root
    group: bind
    mode: "0640"
  notify: Restart bind
